Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXOpenGLRenderWindow Class Reference

`#include <vtkXOpenGLRenderWindow.h>`

Inheritance diagram for vtkXOpenGLRenderWindow:

[legend]
Collaboration diagram for vtkXOpenGLRenderWindow:

[legend]
List of all members.

## Detailed Description

OpenGL rendering window.

Date:
  2003/01/24 16:24:02

Revision:
  1.21

vtkXOpenGLRenderWindow is a concrete implementation of the abstract class vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics library. Application programmers should normally use vtkRenderWindow instead of the OpenGL specific version.

Events:
  vtkCommand::CursorChangedEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (58%)
  - Hoffman, Bill (17%)
  - Cedilnik, Andy (8%)
  - Lee, Jeff (8%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkXOpenGLRenderWindow.h)`
  - .`cxx` (`/Rendering/vtkXOpenGLRenderWindow.cxx)`

Examples:
  vtkXOpenGLRenderWindow (Examples)

Tests:
  vtkXOpenGLRenderWindow (Tests)

Definition at line 60 of file vtkXOpenGLRenderWindow.h.

## Public Types
typedef vtkOpenGLRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Start (void)
virtual void | Frame (void)
virtual void | WindowInitialize (void)
virtual void | Initialize (void)
virtual void | SetFullScreen (int)
virtual void | WindowRemap (void)
virtual void | PrefFullScreen (void)
virtual void | SetStereoCapableWindow (int capable)
void | MakeCurrent ()
void | SetForceMakeCurrent ()
const char * | ReportCapabilities ()
int | SupportsOpenGL ()
int | IsDirect ()
virtual int * | GetScreenSize ()
virtual int * | GetPosition ()
Display * | GetDisplayId ()
Window | GetParentId ()
Window | GetWindowId ()
virtual void | SetCurrentCursor (int)
virtual int | GetEventPending ()
void | SetWindowInfo (char *info)
void | SetParentInfo (char *info)
void | Render ()
void | SetOffScreenRendering (int i)
virtual void | SetSize (int, int)
virtual void | SetSize (int a[2])
virtual Colormap | GetDesiredColormap ()
virtual Visual * | GetDesiredVisual ()
virtual XVisualInfo * | GetDesiredVisualInfo ()
virtual int | GetDesiredDepth ()
virtual void * | GetGenericDisplayId ()
virtual void * | GetGenericWindowId ()
virtual void * | GetGenericParentId ()
virtual void * | GetGenericContext ()
virtual void * | GetGenericDrawable ()
void | SetDisplayId (Display *)
void | SetDisplayId (void *)
void | SetParentId (Window)
void | SetParentId (void *)
void | SetWindowId (Window)
void | SetWindowId (void *)
void | SetNextWindowId (Window)
void | SetWindowName (const char *)
void | SetPosition (int, int)
void | SetPosition (int a[2])
void | HideCursor ()
void | ShowCursor ()
## Static Public Methods
vtkXOpenGLRenderWindow * | New ()
int | IsTypeOf (const char *type)
vtkXOpenGLRenderWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXOpenGLRenderWindow ()
| ~vtkXOpenGLRenderWindow ()
## Protected Attributes
vtkXOpenGLRenderWindowInternal * | Internal
Window | ParentId
Window | WindowId
Window | NextWindowId
Display * | DisplayId
Colormap | ColorMap
int | OwnWindow
int | OwnDisplay
int | ScreenSize [2]
int | CursorHidden
int | ForceMakeCurrent
int | UsingHardware
char * | Capabilities
Cursor | XCArrow
Cursor | XCSizeAll
Cursor | XCSizeNS
Cursor | XCSizeWE
Cursor | XCSizeNE
Cursor | XCSizeNW
Cursor | XCSizeSE
Cursor | XCSizeSW

## Member Typedef Documentation

typedef vtkOpenGLRenderWindow vtkXOpenGLRenderWindow::Superclass

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 64 of file vtkXOpenGLRenderWindow.h.

## Constructor & Destructor Documentation

vtkXOpenGLRenderWindow::vtkXOpenGLRenderWindow | ( |  | ) | `[protected]`

vtkXOpenGLRenderWindow::~vtkXOpenGLRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXOpenGLRenderWindow* vtkXOpenGLRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkRenderWindow.

virtual const char* vtkXOpenGLRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkXOpenGLRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkXOpenGLRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

vtkXOpenGLRenderWindow* vtkXOpenGLRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOpenGLRenderWindow.

void vtkXOpenGLRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkXOpenGLRenderWindow::Start | ( | void |  | ) | `[virtual]`

| Begin the rendering process. Implements vtkRenderWindow.

virtual void vtkXOpenGLRenderWindow::Frame | ( | void |  | ) | `[virtual]`

| End the rendering process and display the image. Implements vtkRenderWindow.

virtual void vtkXOpenGLRenderWindow::WindowInitialize | ( | void |  | ) | `[virtual]`

| Initialize the window for rendering.

virtual void vtkXOpenGLRenderWindow::Initialize | ( | void |  | ) | `[virtual]`

| Initialize the rendering window.

virtual void vtkXOpenGLRenderWindow::SetFullScreen | ( | int |  | ) | `[virtual]`

| Change the window to fill the entire screen. Implements vtkRenderWindow.

virtual void vtkXOpenGLRenderWindow::WindowRemap | ( | void |  | ) | `[virtual]`

| Resize the window. Implements vtkRenderWindow.

virtual void vtkXOpenGLRenderWindow::PrefFullScreen | ( | void |  | ) | `[virtual]`

| Set the preferred window size to full screen.

virtual void vtkXOpenGLRenderWindow::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Specify the size of the rendering window. Reimplemented from vtkWindow.

virtual void vtkXOpenGLRenderWindow::SetSize | ( | int | a[2] | ) | `[inline, virtual]`

| Specify the size of the rendering window. Reimplemented from vtkWindow. Definition at line 91 of file vtkXOpenGLRenderWindow.h. References vtkWindow::SetSize().

virtual Colormap vtkXOpenGLRenderWindow::GetDesiredColormap | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual Visual* vtkXOpenGLRenderWindow::GetDesiredVisual | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual XVisualInfo* vtkXOpenGLRenderWindow::GetDesiredVisualInfo | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual int vtkXOpenGLRenderWindow::GetDesiredDepth | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual void vtkXOpenGLRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. This method overrides the superclass method since this class can actually check whether the window has been realized yet. Reimplemented from vtkRenderWindow.

void vtkXOpenGLRenderWindow::MakeCurrent | ( |  | ) | `[virtual]`

| Make this window the current OpenGL context. Implements vtkOpenGLRenderWindow.

void vtkXOpenGLRenderWindow::SetForceMakeCurrent | ( |  | ) | `[virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented from vtkRenderWindow.

const char* vtkXOpenGLRenderWindow::ReportCapabilities | ( |  | ) | `[virtual]`

| Get report of capabilities for the render window Reimplemented from vtkRenderWindow.

int vtkXOpenGLRenderWindow::SupportsOpenGL | ( |  | ) | `[virtual]`

| Does this render window support OpenGL? 0-false, 1-true Reimplemented from vtkRenderWindow.

int vtkXOpenGLRenderWindow::IsDirect | ( |  | ) | `[virtual]`

| Is this render window using hardware acceleration? 0-false, 1-true Reimplemented from vtkRenderWindow.

virtual void* vtkXOpenGLRenderWindow::GetGenericDisplayId | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 127 of file vtkXOpenGLRenderWindow.h.

virtual void* vtkXOpenGLRenderWindow::GetGenericWindowId | ( |  | ) | `[virtual]`

| Xwindow get set functions Implements vtkRenderWindow.

virtual void* vtkXOpenGLRenderWindow::GetGenericParentId | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 129 of file vtkXOpenGLRenderWindow.h.

virtual void* vtkXOpenGLRenderWindow::GetGenericContext | ( |  | ) | `[virtual]`

| Xwindow get set functions Implements vtkRenderWindow.

virtual void* vtkXOpenGLRenderWindow::GetGenericDrawable | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 131 of file vtkXOpenGLRenderWindow.h.

virtual int* vtkXOpenGLRenderWindow::GetScreenSize | ( |  | ) | `[virtual]`

| Get the size of the screen in pixels

virtual int* vtkXOpenGLRenderWindow::GetPosition | ( |  | ) | `[virtual]`

| Get the position in screen coordinates (pixels) of the window. Reimplemented from vtkWindow.

Display* vtkXOpenGLRenderWindow::GetDisplayId | ( |  | ) |

| Get this RenderWindow's X display id.

void vtkXOpenGLRenderWindow::SetDisplayId | ( | Display * |  | ) |

| Set the X display id for this RenderWindow to use to a pre-existing X display id.

void vtkXOpenGLRenderWindow::SetDisplayId | ( | void * |  | ) | `[virtual]`

| Set the X display id for this RenderWindow to use to a pre-existing X display id. Implements vtkRenderWindow.

Window vtkXOpenGLRenderWindow::GetParentId | ( |  | ) |

| Get this RenderWindow's parent X window id.

void vtkXOpenGLRenderWindow::SetParentId | ( | Window |  | ) |

| Sets the parent of the window that WILL BE created.

void vtkXOpenGLRenderWindow::SetParentId | ( | void * |  | ) | `[virtual]`

| Sets the parent of the window that WILL BE created. Implements vtkRenderWindow.

Window vtkXOpenGLRenderWindow::GetWindowId | ( |  | ) |

| Get this RenderWindow's X window id.

void vtkXOpenGLRenderWindow::SetWindowId | ( | Window |  | ) |

| Set this RenderWindow's X window id to a pre-existing window.

void vtkXOpenGLRenderWindow::SetWindowId | ( | void * |  | ) | `[virtual]`

| Set this RenderWindow's X window id to a pre-existing window. Implements vtkRenderWindow.

void vtkXOpenGLRenderWindow::SetNextWindowId | ( | Window |  | ) |

| Specify the X window id to use if a WindowRemap is done.

void vtkXOpenGLRenderWindow::SetWindowName | ( | const char * |  | ) | `[virtual]`

| Specify the X window id to use if a WindowRemap is done. Reimplemented from vtkWindow.

void vtkXOpenGLRenderWindow::SetPosition | ( | int | ,
|  | int |
| ) | `[virtual]`

| Move the window to a new position on the display. Reimplemented from vtkWindow.

void vtkXOpenGLRenderWindow::SetPosition | ( | int | a[2] | ) | `[inline, virtual]`

| Move the window to a new position on the display. Reimplemented from vtkWindow. Definition at line 177 of file vtkXOpenGLRenderWindow.h. References vtkWindow::SetPosition().

void vtkXOpenGLRenderWindow::HideCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkXOpenGLRenderWindow::ShowCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

virtual void vtkXOpenGLRenderWindow::SetCurrentCursor | ( | int |  | ) | `[virtual]`

| Change the shape of the cursor Reimplemented from vtkRenderWindow.

virtual int vtkXOpenGLRenderWindow::GetEventPending | ( |  | ) | `[virtual]`

| Check to see if a mouse button has been pressed. All other events are ignored by this method. This is a useful check to abort a long render. Implements vtkRenderWindow.

void vtkXOpenGLRenderWindow::SetWindowInfo | ( | char * | info | ) | `[virtual]`

| Set this RenderWindow's X window id to a pre-existing window. Implements vtkRenderWindow.

void vtkXOpenGLRenderWindow::SetParentInfo | ( | char * | info | ) | `[virtual]`

| Sets the X window id of the window that WILL BE created. Implements vtkRenderWindow.

void vtkXOpenGLRenderWindow::Render | ( |  | ) | `[virtual]`

| This computes the size of the render window before calling the supper classes render Reimplemented from vtkRenderWindow.

void vtkXOpenGLRenderWindow::SetOffScreenRendering | ( | int | i | ) | `[virtual]`

| Render without displaying the window. Reimplemented from vtkWindow.

## Member Data Documentation

vtkXOpenGLRenderWindowInternal* vtkXOpenGLRenderWindow::Internal`[protected]`

| Definition at line 212 of file vtkXOpenGLRenderWindow.h.

Window vtkXOpenGLRenderWindow::ParentId`[protected]`

| Definition at line 214 of file vtkXOpenGLRenderWindow.h.

Window vtkXOpenGLRenderWindow::WindowId`[protected]`

| Definition at line 215 of file vtkXOpenGLRenderWindow.h.

Window vtkXOpenGLRenderWindow::NextWindowId`[protected]`

| Definition at line 216 of file vtkXOpenGLRenderWindow.h.

Display* vtkXOpenGLRenderWindow::DisplayId`[protected]`

| Definition at line 217 of file vtkXOpenGLRenderWindow.h.

Colormap vtkXOpenGLRenderWindow::ColorMap`[protected]`

| Definition at line 218 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::OwnWindow`[protected]`

| Definition at line 219 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::OwnDisplay`[protected]`

| Definition at line 220 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::ScreenSize[2]`[protected]`

| Definition at line 221 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::CursorHidden`[protected]`

| Definition at line 222 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::ForceMakeCurrent`[protected]`

| Definition at line 223 of file vtkXOpenGLRenderWindow.h.

int vtkXOpenGLRenderWindow::UsingHardware`[protected]`

| Definition at line 224 of file vtkXOpenGLRenderWindow.h.

char* vtkXOpenGLRenderWindow::Capabilities`[protected]`

| Definition at line 225 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCArrow`[protected]`

| Definition at line 228 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeAll`[protected]`

| Definition at line 229 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeNS`[protected]`

| Definition at line 230 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeWE`[protected]`

| Definition at line 231 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeNE`[protected]`

| Definition at line 232 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeNW`[protected]`

| Definition at line 233 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeSE`[protected]`

| Definition at line 234 of file vtkXOpenGLRenderWindow.h.

Cursor vtkXOpenGLRenderWindow::XCSizeSW`[protected]`

| Definition at line 235 of file vtkXOpenGLRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkXOpenGLRenderWindow.h